Generate Schedule C
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfSchedC \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"client_id": "fake_client_id",
"userId": "fake_userId",
"businessType": "REAL_ESTATE_AGENT",
"expenses": [
{
"vendorName": "Acme",
"categoryId": "13005023",
"id": "1",
"amount": 100.02,
"hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",
"date": "2023-12-25",
"deductionAmount": 50.01
}
],
"year": 2018,
"isDraft": true,
"useMileageDeduction": true,
"income": [
{
"amount": 10000.01,
"date": "2023-12-25"
}
],
"cogsSection": {
"line33": "b",
"line34": true,
"line35": 0,
"line36": 0,
"line37": 0,
"line38": 0,
"line39": 0,
"line40": 0,
"line41": 0,
"line42": 0
},
"vehicleInfoSection": {
"line43": "2017-04-06",
"line44a": 1000,
"line44b": 200,
"line44c": 100,
"line45": false,
"line46": true,
"line47a": true,
"line47b": true,
"milesDTOList": [
{
"totalBusinessMiles": 123,
"totalPersonalMiles": 123,
"totalBusinessDeductionAmount": 123,
"make": "<string>",
"model": "<string>",
"year": "<string>",
"name": "<string>"
}
]
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfSchedC"
payload = {
"client_id": "fake_client_id",
"userId": "fake_userId",
"businessType": "REAL_ESTATE_AGENT",
"expenses": [
{
"vendorName": "Acme",
"categoryId": "13005023",
"id": "1",
"amount": 100.02,
"hurdlrTaxCategory": "DEDUCTIBLE_MEALS_AND_ENTERTAINMENT",
"date": "2023-12-25",
"deductionAmount": 50.01
}
],
"year": 2018,
"isDraft": True,
"useMileageDeduction": True,
"income": [
{
"amount": 10000.01,
"date": "2023-12-25"
}
],
"cogsSection": {
"line33": "b",
"line34": True,
"line35": 0,
"line36": 0,
"line37": 0,
"line38": 0,
"line39": 0,
"line40": 0,
"line41": 0,
"line42": 0
},
"vehicleInfoSection": {
"line43": "2017-04-06",
"line44a": 1000,
"line44b": 200,
"line44c": 100,
"line45": False,
"line46": True,
"line47a": True,
"line47b": True,
"milesDTOList": [
{
"totalBusinessMiles": 123,
"totalPersonalMiles": 123,
"totalBusinessDeductionAmount": 123,
"make": "<string>",
"model": "<string>",
"year": "<string>",
"name": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
client_id: 'fake_client_id',
userId: 'fake_userId',
businessType: 'REAL_ESTATE_AGENT',
expenses: [
{
vendorName: 'Acme',
categoryId: '13005023',
id: '1',
amount: 100.02,
hurdlrTaxCategory: 'DEDUCTIBLE_MEALS_AND_ENTERTAINMENT',
date: '2023-12-25',
deductionAmount: 50.01
}
],
year: 2018,
isDraft: true,
useMileageDeduction: true,
income: [{amount: 10000.01, date: '2023-12-25'}],
cogsSection: {
line33: 'b',
line34: true,
line35: 0,
line36: 0,
line37: 0,
line38: 0,
line39: 0,
line40: 0,
line41: 0,
line42: 0
},
vehicleInfoSection: {
line43: '2017-04-06',
line44a: 1000,
line44b: 200,
line44c: 100,
line45: false,
line46: true,
line47a: true,
line47b: true,
milesDTOList: [
{
totalBusinessMiles: 123,
totalPersonalMiles: 123,
totalBusinessDeductionAmount: 123,
make: '<string>',
model: '<string>',
year: '<string>',
name: '<string>'
}
]
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/taxEngineExpress/pdfSchedC', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://s3.amazonaws.com/Tight-Dev/Reports/Temp/c2cd0cf0-bd33-4fe7-844f-9e90df7575ec/ScheduleC_2018.pdf",
"status": "SUCCESS"
}Tax Engine Express
Generate Schedule C
Generate a Form 1040 Schedule C PDF
POST
/
v5
/
taxEngineExpress
/
pdfSchedC
Generate Schedule C
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
tax calculation parameters
The client_id of the Tight Partner
Example:
"fake_client_id"
An anonymized userId, used for tracking API usage. The Tight Partner decides how to anonymize it.
Example:
"fake_userId"
The business type of the user
Available options:
DRIVER, REAL_ESTATE_AGENT, CONSULTANT, SALES, FREELANCER, HOST, E_COMMERCE, INSURANCE_AGENT, RETAIL, OTHER Example:
"REAL_ESTATE_AGENT"
Expense transaction array
Show child attributes
Show child attributes
The Schedule C form year
Example:
2018
Whether a 'DRAFT' watermark should be overlaid on the report; defaulted to true
Example:
true
True if using the standard mileage rate, as opposed to actual vehicle expenses
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I